using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Optimization;
using System.Web.Security;
using System.Web.SessionState;

namespace BundlingMinification_Test1
{
	public class Global : System.Web.HttpApplication
	{

		protected void Application_Start(object sender, EventArgs e)
		{
			BundleTable.Bundles.Add(new ScriptBundle("~/scripts/js").IncludeDirectory("~/scripts/", "*.js"));

			BundleTable.Bundles.Add(new StyleBundle("~/styles/css").Include(
				"~/styles/Common.css",
				"~/styles/AppSpecific.css"));
			BundleTable.EnableOptimizations = true;	// jinak se řídí <compile debug="true|false" /> z web.configu
		}

		protected void Session_Start(object sender, EventArgs e)
		{

		}

		protected void Application_BeginRequest(object sender, EventArgs e)
		{

		}

		protected void Application_AuthenticateRequest(object sender, EventArgs e)
		{

		}

		protected void Application_Error(object sender, EventArgs e)
		{

		}

		protected void Session_End(object sender, EventArgs e)
		{

		}

		protected void Application_End(object sender, EventArgs e)
		{

		}
	}
}